/*
 * Display None
 */

// XS - Mobile First
.d-none {
	display: none  !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
   .d-sm-none {
	   .d-none;
   }
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
   .d-md-none {
	   .d-none;
   }
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
   .d-lg-none {
	   .d-none;
   }
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
   .d-xl-none {
	   .d-none;
   }
}
 
/*
 * Display Block
 */

// XS - Mobile First
.d-block {
	display: block  !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
   .d-sm-block {
	   .d-block;
   }
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
   .d-md-block {
	   .d-block;
   }
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
   .d-lg-block {
	   .d-block;
   }
}

// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
   .d-xl-block {
	   .d-block;
   }
}

/*
 * Display Flex
 */

// XS - Mobile First
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.d-sm-flex {
		.d-flex;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.d-md-flex {
		.d-flex;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.d-lg-flex {
		.d-flex;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.d-xl-flex {
		.d-flex;
	}
}

/*
 * Display Inline Flex
 */
// XS - Mobile First
.d-inline-flex {
    display: -webkit-inline-box  !important;
    display: -ms-inline-flexbox  !important;
    display: inline-flex  !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.d-sm-inline-flex {
		.d-inline-flex;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.d-md-inline-flex {
		.d-inline-flex;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.d-lg-inline-flex {
		.d-inline-flex;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.d-xl-inline-flex {
		.d-inline-flex;
	}
}

/*
 * Display Grid
 */
// XS - Mobile First
.d-grid {
    display: -ms-grid !important;
    display: grid !important;
}
// SM - Smartphone Landscape
@media screen and (min-width: @phoneLandscapeViewportWidth) {
	.d-sm-grid {
		.d-grid;
	}
}
// MD - Tablet
@media screen and (min-width: @tabletViewportWidth) {
	.d-md-grid {
		.d-grid;
	}
}
// LG - Tablet Landscape
@media screen and (min-width: @tabletLandscapeViewportWidth) {
	.d-lg-grid {
		.d-grid;
	}
}
// XL - Desktop
@media screen and (min-width: @desktopViewportWidth) {
	.d-xl-grid {
		.d-grid;
	}
}
